package com.gic.haoban.manage.api.qdto.contact;

import cn.hutool.core.date.DateUtil;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class ContactOrderSearchQDTO implements Serializable {
    private static final long serialVersionUID = 973688857967269974L;
    /**
     * 会员id
     */
    private String memberId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 门店id
     */
    private List<String> storeIdList;

    /**
     * 1 线上; 2 线下
     */
    private Integer channelType;

    /**
     * 导购搜索
     */
    private String clerkSearch;

    /**
     * 开始时间
     */
    private Date beginTime;

    /**
     * 结束时间
     */
    private Date endTime;

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public List<String> getStoreIdList() {
        return storeIdList;
    }

    public void setStoreIdList(List<String> storeIdList) {
        this.storeIdList = storeIdList;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public void setChannelType(Integer channelType) {
        this.channelType = channelType;
    }

    public String getClerkSearch() {
        return clerkSearch;
    }

    public void setClerkSearch(String clerkSearch) {
        this.clerkSearch = clerkSearch;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        if (beginTime != null) {
            this.beginTime = DateUtil.beginOfDay(beginTime);
        }
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        if (endTime != null) {
            this.endTime = DateUtil.endOfDay(endTime);
        }
    }
}